Upgrade gnugk from 4.7 to 4.9 on ubuntu 16.04.4

转载   yoke88   2018-05-23   浏览量:197


Upgrade gnugk from 4.7 to 4.9 on ubuntu 16.04.4(LTS)

背景

彩票开奖查询 www.kbyp.net 我之前使用了gnugk 来解决和h323 穿透NAT问题,可以参考这篇【历史博客】

今天看到gnugk 已经更新到了4.9了,fix 了不少BUG ,而我目前还是用的4.7。

操作系统已经升级到了16.04.04 ,怕有模组或者组件缺失,还是先找vagrant 起了台默认安装的ubuntu 16.04.04 计算机测试下。

找找依赖的模组

首先解压gnugk 4.9 的已经在ubuntu平台上编译好的二进制包,找到Bin 目录下的gnugk 和addpasswd 两个二进制文件,然后ldd gnugk -v

发现有两个动态链接库缺失。

libssh.so.4
librabbitmq.so.1

# on ubuntu 16.04.04 

[email protected]:/lib/x86_64-linux-gnu$ apt-file search libssh.so.4
libssh-4: /usr/lib/x86_64-linux-gnu/libssh.so.4
libssh-4: /usr/lib/x86_64-linux-gnu/libssh.so.4.4.1

# 在16.04.04 上面librabbitmq.so 版本为librabbitmq.so.4

[email protected]:/lib/x86_64-linux-gnu$ apt-file search librabbitmq.so.1
[email protected]:/lib/x86_64-linux-gnu$ apt-file search librabbitmq.so
librabbitmq-dev: /usr/lib/x86_64-linux-gnu/librabbitmq.so
librabbitmq4: /usr/lib/x86_64-linux-gnu/librabbitmq.so.4
librabbitmq4: /usr/lib/x86_64-linux-gnu/librabbitmq.so.4.1.3
[email protected]:/lib/x86_64-linux-gnu$

# 安装libssh-4 和librabbitmq4
sudo apt-get install libssh-4 librabbitmq4 -y

解决librabbitmq.so.1找不到问题

可能gnugk 在14.04中进行的编译,所以librabbitmq.so 的版本引用的为1 ,但是16.04.04上面只能安装librabbitmq4

所以我尝试把librabbitmg4 链接成librabbitmq.so.1 试试看程序是否能正常运行。

 sudo ln -s /usr/lib/x86_64-linux-gnu/librabbitmq.so.4.1.3 /usr/lib/x86_64-linux-gnu/librabbitmq.so.1

OK ,现在依赖都已经解决。更新很简单,替换gnugk 和addpasswd 两个文件,然后重启服务。

为了确认没有其他异常,你可以跟下/var/log/gnugk.log 看看是否有什么异常。

转载自://blog.51cto.com/yoke88/2119383

招聘 不方便扫码就复制添加关注:程序员招聘谷,微信号:jobs1024



VMware虚拟机安装Linux(Ubuntu)
需要:?1.相应版本的Ubuntu的.iso文件(ubuntu-18.04-desktop-amd64.iso为例)?2.VMware安装步骤:?1.打开VMware,文件-->新建虚拟机?2.选择典型?3.稍后安装操作系统?4.选择相应的操作系统我这是Linux-->Ubuntu64位?5.给虚拟机起名?然后选择所存放的文件目录位置目录位置可以自定义?6.选择...
在ubuntu上编译 wpa_supplicant-2.6
1.1libnl-3.4.0./configure--prefix=/home/fnie/wpa/out/libnl--disable-staticmakemakecheckmakeinstall//toinstalltheAPIdocumentation:mkdir-vp/home/fnie/wpa/out/libnl/doctar-xf../libnl-doc-3.4.0.tar.gz--st
ubuntu系统下安装steam时遇到的问题解析
ubuntu系统下安装steam时遇到的问题解析。直接去steam官网下载即可,这里说一下遇到的问题。下载之后无法打开,在终端输入steam运行,出现以下提示
Ubuntu下PyCharm的安装方式
Ubuntu下PyCharm的安装方式。1Ubuntu1604及以上版本:1、安装专业版:在终端中输入sudosnapinstallpycharm-professional--classic;2、安装轻量级:sudosnapinstallpycharm-community--classic。2其他版本Linux:
Ubuntu 16.04与Apache虚拟主机配置的步骤详解
这篇文章主要给大家介绍了关于Ubuntu16.04与Apache虚拟主机配置的相关资料,文中通过示例代码介绍的非常详细,对大家学习或者使用ubuntu16.04系统具有一定的参考学习价值,需要的朋友们来一起看看吧。
Ubuntu 16.04无法切换root权限问题的解决
root权限相信对大家来说都不陌生,下面这篇文章主要给大家介绍了关于Ubuntu16.04无法切换root权限问题的解决方法,文中通过示例代码介绍的非常详细,需要的朋友可以参考借鉴,下面随着小编来一起学习学习吧。
一步步教你如何开启、关闭ubuntu防火墙
这篇文章主要给大家介绍了关于如何开启、关闭ubuntu防火墙的相关资料,文中将ubuntu系统中防火墙的安装以及使用介绍的非常详细,对大家的学习或者工作具有一定的参考学习价值,需要的朋友们下面随着小编来一起学习学习吧。
Ubuntu16使用theano出错问题
Ubuntu16使用theano出错问题。最近看了一篇paper,在复现论文代码时,需要用到theano这个机器学习工具(感觉我看了好多个工具,但却都只是了解,好悲伤?。。。?然后再本地的Ubuntu16虚拟机里面装这个工具。
Ubuntu16.04挂载nfs服务
Ubuntu1604挂载nfs服务。mount-tnfs192168022:homechensiweihomechensiweiftpserver。
基于ubuntu16.04搭建Devstack教程
基于ubuntu1604搭建Devstack教程。第一步:Devstack的第一次搭建最好是放在虚拟机里面,这样出了问题比较容易解决。如果放在实体机里面,重装系统是真的麻烦。所以,首先讲一讲怎么创建虚拟机。